list2Matrix {RpsiXML} | R Documentation

## Converts list into matrix

### Description

Converts a named list representation of a graph into matrix

### Usage

    list2Matrix(namedList, type="interaction")

### Arguments

`namedList` | Named list.
`type` | Character: either interaction or complex

### Value

A matrix. A bait-prey matrix if type is "interaction" with baits indexing the columns and prey the rows or a protein complex incidence graph with complexes indexing the columns and proteins, the rows.
If type is interaction, the names of the list are the baits and the entries of the list correspond the prey found by each bait.
If type is complex, the names of the list are the names of the protein complex and the entries are the members of each corresponding complex.

### Author(s)

Tony Chiang <tchiang@ebi.ac.uk>

[Package RpsiXML version 1.0.0 Index]